Bug 205514 - ANGLE: Fix WebGL conformance test framebuffer-object-attachment.html
Summary: ANGLE: Fix WebGL conformance test framebuffer-object-attachment.html
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: ANGLE (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: James Darpinian
URL:
Keywords: InRadar
Depends on:
Blocks: webglangle
  Show dependency treegraph
 
Reported: 2019-12-20 12:06 PST by James Darpinian
Modified: 2020-03-11 17:12 PDT (History)
12 users (show)

See Also:


Attachments
ANGLE: Fix WebGL conformance test framebuffer-object-attachment.html (6.43 KB, patch)
2019-12-20 12:07 PST, James Darpinian
no flags Details | Formatted Diff | Diff
Rebaseline layout tests (51.67 KB, patch)
2019-12-20 17:08 PST, James Darpinian
no flags Details | Formatted Diff | Diff
Remove expectation file for ios simulator (92.87 KB, patch)
2019-12-26 14:37 PST, James Darpinian
no flags Details | Formatted Diff | Diff
Remove more obsolete expectations files (211.40 KB, patch)
2019-12-26 16:09 PST, James Darpinian
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Darpinian 2019-12-20 12:06:53 PST
ANGLE: Fix WebGL conformance test framebuffer-object-attachment.html
Comment 1 James Darpinian 2019-12-20 12:07:27 PST
Created attachment 386236 [details]
ANGLE: Fix WebGL conformance test framebuffer-object-attachment.html
Comment 2 Kenneth Russell 2019-12-20 16:16:02 PST
Great work James!

Would you consider expanding the ChangeLog to say that this largely removes old incorrect validation code, and relies on ANGLE's implementation of depth-texture support across all devices?
Comment 3 James Darpinian 2019-12-20 17:08:52 PST
Created attachment 386281 [details]
Rebaseline layout tests
Comment 4 Kenneth Russell 2019-12-23 12:31:38 PST
I bet James would like this CQ'd. Don't worry about the Changelog update I requested. Thanks!
Comment 5 James Darpinian 2019-12-23 16:11:38 PST
It looks like some layout tests are still failing after rebaselining, so I'll fix that when I get back on Thursday.
Comment 6 James Darpinian 2019-12-26 14:37:39 PST
Created attachment 386422 [details]
Remove expectation file for ios simulator
Comment 7 James Darpinian 2019-12-26 16:09:19 PST
Created attachment 386425 [details]
Remove more obsolete expectations files
Comment 8 James Darpinian 2019-12-26 17:29:16 PST
Layout tests are fixed now, so this should be ready to commit. I updated the changelog to say that this is relying on ANGLE for DEPTH_STENCIL_ATTACHMENT support. The validation code is still there though, I just fixed a couple of places where it was wrong.
Comment 9 WebKit Commit Bot 2019-12-27 00:49:46 PST
Comment on attachment 386425 [details]
Remove more obsolete expectations files

Clearing flags on attachment: 386425

Committed r253918: <https://trac.webkit.org/changeset/253918>
Comment 10 WebKit Commit Bot 2019-12-27 00:49:48 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2019-12-27 00:50:22 PST
<rdar://problem/58214667>